<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework-buttons</title>
    <style>
        .btn-wrapper{
            height: 60vh;
            display: flex;
            align-items: center;
            justify-content: space-around;
        }
        .btn{
            border: none;
            border-radius: 20px;
            min-width: 120px;
            padding: 7px;
            color: #fff;
            font-size: 14px;
            background-color: #33333a;
            cursor: pointer;
        }
        .btn:active,
        .btn:focus{
            outline: none;
        }
        .active {
            border: none;
            border-radius: 20px;
            min-width: 120px;
            padding: 7px;
            color: #fff;
            font-size: 14px;
            background-color: #0000FF;
            cursor: pointer;
        }

    </style>
</head>
<body>
<div class="btn-wrapper">
    <button class="btn" >Enter</button>
    <button class="btn">S</button>
    <button class="btn">E</button>
    <button class="btn">O</button>
    <button class="btn">N</button>
    <button class="btn">L</button>
    <button class="btn">Z</button>
</div>
</body>
<script>
    let buttons = document.getElementsByClassName("btn");
    Array.prototype.forEach.call(buttons, function(button) {
        document.addEventListener('keydown', function (event) {
            if (event.code == 'KeyZ') {
                button.classList.remove("active");
                buttons[6].classList.add("active");
            }
            if (event.code == 'KeyL') {
                button.classList.remove("active");
                buttons[5].classList.add("active");
            }
            if (event.code == 'KeyN') {
                button.classList.remove("active");
                buttons[4].classList.add("active");
            }
            if (event.code == 'KeyO') {
                button.classList.remove("active");
                buttons[3].classList.add("active");
            }
            if (event.code == 'KeyE') {
                button.classList.remove("active");
                buttons[2].classList.add("active");
            }
            if (event.code == 'KeyS') {
                button.classList.remove("active");
                buttons[1].classList.add("active");
            }
            if (event.code == 'Enter') {
                button.classList.remove("active");
                buttons[0].classList.add("active");
            }
        })
    })
</script>
</html>
<!--Події клавіш краще не використовувати з Input, тому що крім клавішного способу є ще голосовий спосіб введення інформації та "копіпаст"б клавіші обмежені по відношенню до Input-->